Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.rss.routing
Class InboundFeedSplitter

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.processor.AbstractFilteringMessageProcessor
              org.mule.module.rss.routing.InboundFeedSplitter

All Implemented Interfaces:
  InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class InboundFeedSplitter

extends AbstractFilteringMessageProcessor

Will split the feed into entries. This router also filters out any entries that are older than the last one read The filter can be configured with a date from which to accept feed entries

Field Summary
`static String` | `FEED_PROPERTY`
`protected Log` | `logger` logger used by this class

Fields inherited from class org.mule.processor.AbstractFilteringMessageProcessor
`throwOnUnaccepted, unacceptedMessageProcessor`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`next`

Constructor Summary
`InboundFeedSplitter()`

Method Summary
`boolean` | `accept(MuleEvent muleEvent)`
`List<String>` | `getAcceptedContentTypes()`
`Filter` | `getEntryFilter()`
`MuleEvent` | `process(MuleEvent muleEvent)` Invokes the MessageProcessor.
`void` | `setAcceptedContentTypes(List<String> acceptedContentTypes)`
`void` | `setEntryFilter(Filter entryFilter)`

Methods inherited from class org.mule.processor.AbstractFilteringMessageProcessor
`filterUnacceptedException, getUnacceptedMessageProcessor, handleUnaccepted, isThrowOnUnaccepted, setThrowOnUnaccepted, setUnacceptedMessageProcessor`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`processNext, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

### FEED_PROPERTY

    public static final String FEED_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### InboundFeedSplitter

    public InboundFeedSplitter()

Method Detail

### process

    public MuleEvent process(MuleEvent muleEvent)
                      throws MessagingException

  Description copied from interface: `MessageProcessor`
  Invokes the MessageProcessor.

  Specified by:
    `process` in interface `MessageProcessor`
  Overrides:
    `process` in class `AbstractFilteringMessageProcessor`
  Parameters:
    `muleEvent` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MessagingException`

### accept

    public boolean accept(MuleEvent muleEvent)

  Specified by:
    `accept` in class `AbstractFilteringMessageProcessor`

### getEntryFilter

    public Filter getEntryFilter()

### setEntryFilter

    public void setEntryFilter(Filter entryFilter)

### getAcceptedContentTypes

    public List<String> getAcceptedContentTypes()

### setAcceptedContentTypes

    public void setAcceptedContentTypes(List<String> acceptedContentTypes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.